Bug 118077 - 2 * used before set
2 * used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 15:01 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-16 08:11:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-03-11 15:01:24 EST
Description of problem:

I just tried to compile Fedora Core2 Test1 package file-roller-2.5.2-1

The compiler said

1.

dlg-add.c(643): remark #592: variable "same_fs" is used before its
value is set

The source code is

        config_set_bool   (opt_file_path, "same_fs", same_fs);

Suggest init same_fs before first use.

2.

window.c(3639): remark #592: variable "window" is used before its
value is set

The source code is

        FRWindow *window;
        GError   *gerror;
        gboolean  success;

        g_return_val_if_fail (window != NULL, FALSE);

Clearly broken code.  Suggest init window before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alexander Larsson 2004-03-16 08:11:19 EST
This variable/code is gone in 2.5.6-1, so i think this is fixed.

Note You need to log in before you can comment on or make changes to this bug.